Skip to main content
`Ctrl`+`K`
scipy.special.

# roots_laguerre

scipy.special.roots_laguerre(n, mu=False)

  Gauss-Laguerre quadrature.

  Compute the sample points and weights for Gauss-Laguerre quadrature. The sample points are the roots of the nth degree Laguerre polynomial, \(L_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([0, \infty]\) with weight function \(w(x) = e^{-x}\). See 22.2.13 in [AS] for details.

  Parameters:
    n int

      quadrature order

    mu bool, optional

      If True, return the sum of the weights, optional.

  Returns:
    x ndarray

      Sample points

    w ndarray

      Weights

    mu float

      Sum of the weights

  See also

  `scipy.integrate.fixed_quad`
  `numpy.polynomial.laguerre.laggauss`

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.